
#ifndef GRAPHCLUSTERING_TEST_H
#define GRAPHCLUSTERING_TEST_H

#include <cppunit/extensions/HelperMacros.h>

class GraphClusteringTest : public CPPUNIT_NS::TestFixture {
	CPPUNIT_TEST_SUITE(GraphClusteringTest);
	CPPUNIT_TEST(HeuristicKL);
	CPPUNIT_TEST(HeuristicKLTwo);
	CPPUNIT_TEST(HeuristicKLTwo2);
	CPPUNIT_TEST(SimpleSparse);
	CPPUNIT_TEST(SimpleFractional);
	CPPUNIT_TEST(SimpleFractional2);
	CPPUNIT_TEST(Simple);
	CPPUNIT_TEST(Tables);
//	CPPUNIT_TEST(RandomSmall);
	CPPUNIT_TEST(Leaf9);
	CPPUNIT_TEST(ReducedCostTest);
	CPPUNIT_TEST(TablesStability);
	CPPUNIT_TEST_SUITE_END();

protected:
	void Simple();
	void SimpleSparse();
	void SimpleFractional();
	void SimpleFractional2();
	void Tables();
	void RandomSmall();
	void Leaf9();
	void TablesStability();
	void HeuristicKL();
	void HeuristicKLTwo();
	void HeuristicKLTwo2();

	// Test the calculation of reduced costs for inequality constraints.
	void ReducedCostTest();
};

#endif



